summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMichael Wood <michael.g.wood@intel.com>2016-06-10 11:01:10 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-06-14 11:08:58 +0100
commite7951541c34c5561187110ba0ec69b9c45022747 (patch)
tree09a129833d3fe429698eef6cf6415b998142caeb /bin
parent4e21817b0d7a91e634bdb2069850627c38fde053 (diff)
downloadbitbake-contrib-e7951541c34c5561187110ba0ec69b9c45022747.tar.gz
toaster: bin Use python 3 for our django modules check
Explicitly use python3 so that the modules for python3 are checked. Signed-off-by: Michael Wood <michael.g.wood@intel.com>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/toaster2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/toaster b/bin/toaster
index be1bb9c4f..e3a0dae48 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -115,7 +115,7 @@ verify_prereq() {
exp='s/Django\([><=]\+\)\([^,]\+\),\([><=]\+\)\(.\+\)/'
exp=$exp'import sys,django;version=django.get_version().split(".");'
exp=$exp'sys.exit(not (version \1 "\2".split(".") and version \3 "\4".split(".")))/p'
- if ! sed -n "$exp" $reqfile | python - ; then
+ if ! sed -n "$exp" $reqfile | python3 - ; then
req=`grep ^Django $reqfile`
echo "This program needs $req"
echo "Please install with pip install -r $reqfile"